Bug 118510 - Installer should have a 'skip' option for non-essential packages
Summary: Installer should have a 'skip' option for non-essential packages
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-17 08:24 UTC by David Drewelow
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 21:40:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Drewelow 2004-03-17 08:24:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5a) Gecko/20030718

Description of problem:
While installing packages, if the target rpm isn't found, the install
just prompts you to retry.  

A reboot/exit option should be available.

A skip option for non-essential packages should be available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install using a cd with a corrupt or missing file.
2.
3.
    

Additional info:

This isn't the biggest deal, but it's extremely frustrating to fail at
the end of an install--especially for a package that could easily be
added later.

Comment 1 Jeremy Katz 2004-05-06 21:40:41 UTC
The missing RPM could be crucial and thus leave you with a non-working
system.  Also, the installer depends on certain packages getting
installed so that things can be run in the post-install stage.  If
these aren't installed, then it could cause later tracebacks.


Note You need to log in before you can comment on or make changes to this bug.